Package com.destroystokyo.paper.utils

# Class PaperPluginLogger

java.lang.Object
java.util.logging.Logger
com.destroystokyo.paper.utils.PaperPluginLogger

public class PaperPluginLogger extends Logger
Prevents plugins (e.g. Essentials) from changing the parent of the plugin logger.

## Field Summary

### Fields inherited from class java.util.logging.Logger

`global, GLOBAL_LOGGER_NAME`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull Logger`
`getLogger(@NotNull PluginDescriptionFile description)`
`void`
`setParent(@NotNull Logger parent)`

### Methods inherited from class java.util.logging.Logger

`addHandler, config, config, entering, entering, entering, exiting, exiting, fine, fine, finer, finer, finest, finest, getAnonymousLogger, getAnonymousLogger, getFilter, getGlobal, getHandlers, getLevel, getLogger, getLogger, getName, getParent, getResourceBundle, getResourceBundleName, getUseParentHandlers, info, info, isLoggable, log, log, log, log, log, log, log, logp, logp, logp, logp, logp, logp, logrb, logrb, logrb, logrb, logrb, logrb, logrb, logrb, removeHandler, setFilter, setLevel, setResourceBundle, setUseParentHandlers, severe, severe, throwing, warning, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getLogger

@NotNull public static @NotNull Logger getLogger(@NotNull @NotNull PluginDescriptionFile description)

### setParent

public void setParent(@NotNull @NotNull Logger parent)

Overrides:
  `setParent` in class `Logger`